GNU bug report logs - #26752
Ansible & others' problems with wrapped '.ansible-real' scripts

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Jelle Licht <jlicht@HIDDEN>; merged with #31299; dated Tue, 2 May 2017 20:10:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 26752 <at> debbugs.gnu.org:


Received: (at 26752) by debbugs.gnu.org; 4 Feb 2019 10:32:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 04 05:32:52 2019
Received: from localhost ([127.0.0.1]:58139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gqbYa-0005jP-EM
	for submit <at> debbugs.gnu.org; Mon, 04 Feb 2019 05:32:52 -0500
Received: from mugam.systemreboot.net ([139.59.75.54]:46618)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1gqbYX-0005j7-HR
 for 26752 <at> debbugs.gnu.org; Mon, 04 Feb 2019 05:32:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Km6RV3trhI/3LFkvhujKUDQFSg07EGrRzWWsNysZ4ZM=; b=RGSyNzSxorBN4D36rP2/bWvOQ
 +Iggkgj1buRthTNWfK2cO2xd8K0AUPRKQ+/+VteR59geopqArtNC5tvTjHXWrOyGhYZMy5i8YS/Yr
 EbgYKXHj1kVJrGGIyuHB3RrsJYSYYNNrOYtYzpsOG+FWoJQW7EK1zY8hW2IFLDJPkqlDM=;
Received: from [14.139.128.10] (helo=steel)
 by systemreboot.net with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.91) (envelope-from <arunisaac@HIDDEN>)
 id 1gqbYT-0006aV-3M; Mon, 04 Feb 2019 16:02:45 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Jelle Licht <jlicht@HIDDEN>
Subject: Re: bug#26752: Ansible & others' problems with wrapped
 '.ansible-real' scripts
In-Reply-To: <CAPsKtfJ8rZ86RZiayXuZbYfeEUroAubvCsgKxZJDdg17Oijrnw@HIDDEN>
References: <CAPsKtfJKuf3CchsD0667ajg8bWSyp7YGTv8NU5qLf5kc7qEiHg@HIDDEN>
 <874lx2w926.fsf@HIDDEN>
 <CAPsKtfJ8rZ86RZiayXuZbYfeEUroAubvCsgKxZJDdg17Oijrnw@HIDDEN>
Date: Mon, 04 Feb 2019 16:02:44 +0530
Message-ID: <cu77eefkfn7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 26752
Cc: Ricardo Wurmus <rekado@HIDDEN>, 26752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


> The current ansible package is still brokenin the same way.

FWIW, I fixed our ansible package in
https://issues.guix.info/issue/33777 . This is not a general solution,
but at least our ansible package works at the moment.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAlxYFMwACgkQLiXui2GA
K7Mk9Qf+NXoKhZIGeITnZh+eiVWH3RCZmqdNfqqAogNmOMYvYOM8TYxruGeCrRa+
o6IrfB+mdHSlzxIq60qwl/Y6CbZMpG1HebHNOrw+d9uqOmmmbbED47PllgWXezzx
DGxn2M+SxyUKwWJE7vbiy8vEMCm6eWGkVm73bjUZEkFh8+rrRWWmKt5bGkEy3W9l
Y4QhDbDphodCXCGx9T+vjcQYh+lnewEZ1QTaSQyHjrulkYFgRCzBijwt1gPP+4O4
yyu6XPwj4pE+AA1UsfHlBww1plIygbPvgadloizctUBIXWT+15ENIfL4WYpXAqQh
89vHn4vqrXWP2LWxlC/6p7tXxP4Kjw==
=IOdi
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#26752; Package guix. Full text available.
Added blocking bug(s) 29951 Request was from Ricardo Wurmus <rekado@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added indication that bug 26752 blocks29951 Request was from Ricardo Wurmus <rekado@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 26752 <at> debbugs.gnu.org:


Received: (at 26752) by debbugs.gnu.org; 4 Feb 2019 07:50:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 04 02:50:31 2019
Received: from localhost ([127.0.0.1]:58025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gqZ1T-0008KF-9i
	for submit <at> debbugs.gnu.org; Mon, 04 Feb 2019 02:50:31 -0500
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1gqZ1Q-0008Jz-QW
 for 26752 <at> debbugs.gnu.org; Mon, 04 Feb 2019 02:50:29 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1549266618; cv=none; d=zoho.com; s=zohoarc; 
 b=YzkmkbE7KcuvyYRolC9iTR5pDyvfzQZMzetDN1pIKh7HKwsRvsrg6dDVqiIZHP8Jb38ZRLkn7sfZeFOj3quIHv8SL+/Erw4rw04JdICVIZL4nLRpcfB1dC0U+UGqGqA9hhzTqbqw7LpRz3jy9jj/a5e90nw6FVW6W2x+3ZWV5VU=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1549266618;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=ecF9GUUiJ8Adlg3Yxg9ozjW7shVEpFSB0GopsWkmqR0=; 
 b=Ra+N2jXKlC/FyRhEmy5R6XSVaHv4dvQFr2K69EIrTGf+aGWiKL7tH26mSTrSN363yFe72upsD4GFbJj/t0yRFHMpl7gobK1H+vy/SDqy7HxgroXyciRUct6jT5DXl2QW5JykXDGCyylFCfkRbmIztg6TSLBqyc+85lELgbbDACs=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1549266618; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=744; bh=ecF9GUUiJ8Adlg3Yxg9ozjW7shVEpFSB0GopsWkmqR0=;
 b=FXlrG+EJyJMCro/yjkhJyxBpgQLIL2pKNcQ1oBLFOsnrg45cIFCNaOASZS3nBMby
 f6zgoK77+KwNrfGILa5gQINRUmZKQeVdswPPAgMw7KMkVxIlXWcbhcLDyUlCHKzOd2x
 IIhfeCyES8gwtIjMoFkXuVq/cm0HunIb6L+DNtj4=
Received: from localhost (252.139-78-194.adsl-static.isp.belgacom.be
 [194.78.139.252]) by mx.zohomail.com
 with SMTPS id 1549266617453726.1610218359455;
 Sun, 3 Feb 2019 23:50:17 -0800 (PST)
From: Ricardo Wurmus <rekado@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: bug#26752: Ansible & others' problems with wrapped
 '.ansible-real' scripts
References: <CAPsKtfJKuf3CchsD0667ajg8bWSyp7YGTv8NU5qLf5kc7qEiHg@HIDDEN>
 <874lx2w926.fsf@HIDDEN>
 <CAPsKtfJ8rZ86RZiayXuZbYfeEUroAubvCsgKxZJDdg17Oijrnw@HIDDEN>
 <8760fnsv3u.fsf@HIDDEN>
Date: Mon, 04 Feb 2019 08:50:14 +0100
In-Reply-To: <8760fnsv3u.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Thu, 22 Jun 2017 21:03:33 +0200")
Message-ID: <87tvhkhu15.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 26752
Cc: Jelle Licht <jlicht@HIDDEN>, 26752 <at> debbugs.gnu.org, 29951 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:
> Jelle Licht <jlicht@HIDDEN> skribis:
>
>> The current ansible package is still brokenin the same way.
>>
>> Is there already an acceptable way of working around this problem?
>> Otherwise I could send my (extremely hacky) workaround that adds a speci=
fic
>> condition in the ansible source code to check for .ansible-real.
>
> For now I think we have to go with the hack.  Make sure to add a comment
> linking to this bug report.

There is a way to get around this.  It=E2=80=99s presented in #29951:

    https://issues.guix.info/issue/29951

Open issues with this include a hard-coded store prefix, but it=E2=80=99s n=
o big
obstacle.  Should we give this a try on core-updates?





Information forwarded to bug-guix@HIDDEN:
bug#26752; Package guix. Full text available.

Message received at 26752 <at> debbugs.gnu.org:


Received: (at 26752) by debbugs.gnu.org; 7 May 2018 17:26:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 07 13:26:01 2018
Received: from localhost ([127.0.0.1]:53044 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fFjtg-0005Gy-UY
	for submit <at> debbugs.gnu.org; Mon, 07 May 2018 13:26:01 -0400
Received: from dd26836.kasserver.com ([85.13.145.193]:38676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1fFjtf-0005Gq-BL
 for 26752 <at> debbugs.gnu.org; Mon, 07 May 2018 13:25:59 -0400
Received: from localhost (178.113.134.252.wireless.dyn.drei.com
 [178.113.134.252])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 744FF33600D7;
 Mon,  7 May 2018 19:25:57 +0200 (CEST)
Date: Mon, 7 May 2018 19:25:51 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: Jelle Licht <jlicht@HIDDEN>
Subject: Re: bug#26752: Ansible & others' problems with wrapped
 '.ansible-real' scripts
Message-ID: <20180507192551.67cde93d@HIDDEN>
In-Reply-To: <CAPsKtfJKuf3CchsD0667ajg8bWSyp7YGTv8NU5qLf5kc7qEiHg@HIDDEN>
References: <CAPsKtfJKuf3CchsD0667ajg8bWSyp7YGTv8NU5qLf5kc7qEiHg@HIDDEN>
X-Mailer: Claws Mail 3.16.0 (GTK+ 2.24.31; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/a7kCIGJuII1/GB4p=qowVTt"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 26752
Cc: 26752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/a7kCIGJuII1/GB4p=qowVTt
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Just a heads-up, if we make the Python wrap-program do the wrapping inline =
(bug# 29856), this problem here will also vanish.

See https://lists.gnu.org/archive/html/guix-devel/2017-11/msg00027.html for=
 the newest possible approach.


--Sig_/a7kCIGJuII1/GB4p=qowVTt
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlrwjB8ACgkQ5xo1VCww
uqUeIQf9EkZzE+LFUmbaX+WCodawzF1HhxWD56TB1sE25KUgKWCbLQBGpTjdabNZ
n6dMygxwlBJoILGCM6oimH8pcT1TmeiU+HPUBScDww4pVc+D2O+ze/N2aWqaEc4p
lJf5utGOdIx8HS3h+A7JbvCatoMlu3zKKvm0d86OvFbb7KFmMrqzJB4x8XshFucN
kTkewgTEvFWDS922a9Ow5GECs02qAj5VPH3WWMSpb8+LwQTVRbxjqBAk4qkqOxoz
cIU/Kf+LLBucC0jzi3eNe8y3o7W89nFJz4ZrxqTPO0hbeNbRS3BfmEWReI5gzwDE
g4pSa5XY2R7EInpzn09Lrz3PDbw6Pw==
=ladt
-----END PGP SIGNATURE-----

--Sig_/a7kCIGJuII1/GB4p=qowVTt--




Information forwarded to bug-guix@HIDDEN:
bug#26752; Package guix. Full text available.

Message received at 26752 <at> debbugs.gnu.org:


Received: (at 26752) by debbugs.gnu.org; 29 Apr 2018 16:20:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 29 12:20:42 2018
Received: from localhost ([127.0.0.1]:43063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fCp45-0004gl-PA
	for submit <at> debbugs.gnu.org; Sun, 29 Apr 2018 12:20:41 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:57920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>)
 id 1fCp44-0004ga-9d; Sun, 29 Apr 2018 12:20:40 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id CA79912DB8;
 Sun, 29 Apr 2018 18:20:39 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id dFAPc4dlFjQQ; Sun, 29 Apr 2018 18:20:39 +0200 (CEST)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id B519712D2B;
 Sun, 29 Apr 2018 18:20:38 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Jelle Licht <jlicht@HIDDEN>
Subject: Re: bug#31299: Ansible depends on $0,
 which does not work for wrapped python scripts.
In-Reply-To: <CAPsKtfLs+y9Gq5bFR8KMHDQ3_MCorey4g=SJhHS6Jh-vVF=5jQ@HIDDEN>
 (Jelle Licht's message of "Sat, 28 Apr 2018 12:59:09 +0200")
References: <CAPsKtfLs+y9Gq5bFR8KMHDQ3_MCorey4g=SJhHS6Jh-vVF=5jQ@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
Date: Sun, 29 Apr 2018 18:20:38 +0200
Message-ID: <87h8nu56i1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 26752
Cc: 31299 <at> debbugs.gnu.org, 26752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Merging with <https://bugs.gnu.org/26752>, which you submitted a while
back.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#26752; Package guix. Full text available.
Merged 26752 31299. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 26752 <at> debbugs.gnu.org:


Received: (at 26752) by debbugs.gnu.org; 22 Jun 2017 19:03:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 22 15:03:51 2017
Received: from localhost ([127.0.0.1]:33415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dO7OQ-0003pv-SF
	for submit <at> debbugs.gnu.org; Thu, 22 Jun 2017 15:03:51 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37895)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1dO7OQ-0003pe-2c
 for 26752 <at> debbugs.gnu.org; Thu, 22 Jun 2017 15:03:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1dO7OC-0007mf-Gg
 for 26752 <at> debbugs.gnu.org; Thu, 22 Jun 2017 15:03:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49776)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1dO7OC-0007mW-EE; Thu, 22 Jun 2017 15:03:36 -0400
Received: from reverse-83.fdn.fr ([80.67.176.83]:36494 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1dO7OB-0000gb-RT; Thu, 22 Jun 2017 15:03:36 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Jelle Licht <jlicht@HIDDEN>
Subject: Re: bug#26752: Ansible & others' problems with wrapped
 '.ansible-real' scripts
References: <CAPsKtfJKuf3CchsD0667ajg8bWSyp7YGTv8NU5qLf5kc7qEiHg@HIDDEN>
 <874lx2w926.fsf@HIDDEN>
 <CAPsKtfJ8rZ86RZiayXuZbYfeEUroAubvCsgKxZJDdg17Oijrnw@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 4 Messidor an 225 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Thu, 22 Jun 2017 21:03:33 +0200
In-Reply-To: <CAPsKtfJ8rZ86RZiayXuZbYfeEUroAubvCsgKxZJDdg17Oijrnw@HIDDEN>
 (Jelle Licht's message of "Thu, 22 Jun 2017 18:02:07 +0200")
Message-ID: <8760fnsv3u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26752
Cc: 26752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hi,

Jelle Licht <jlicht@HIDDEN> skribis:

> The current ansible package is still brokenin the same way.
>
> Is there already an acceptable way of working around this problem?
> Otherwise I could send my (extremely hacky) workaround that adds a specif=
ic
> condition in the ansible source code to check for .ansible-real.

For now I think we have to go with the hack.  Make sure to add a comment
linking to this bug report.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#26752; Package guix. Full text available.

Message received at 26752 <at> debbugs.gnu.org:


Received: (at 26752) by debbugs.gnu.org; 22 Jun 2017 16:02:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 22 12:02:20 2017
Received: from localhost ([127.0.0.1]:33337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dO4Yl-0008DR-R4
	for submit <at> debbugs.gnu.org; Thu, 22 Jun 2017 12:02:20 -0400
Received: from mail.fsfe.org ([217.69.89.162]:50883)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jlicht@HIDDEN>) id 1dO4Yj-0008DA-6A
 for 26752 <at> debbugs.gnu.org; Thu, 22 Jun 2017 12:02:18 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.fsfe.org (Postfix) with ESMTP id A561063BF21
 for <26752 <at> debbugs.gnu.org>; Thu, 22 Jun 2017 18:02:10 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at mail.fsfe.org
Received: from mail.fsfe.org ([127.0.0.1])
 by localhost (cavendish.fsfeurope.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id uOQyuiaF5hNj for <26752 <at> debbugs.gnu.org>;
 Thu, 22 Jun 2017 18:02:10 +0200 (CEST)
Received: by mail-it0-f50.google.com with SMTP id m62so52990936itc.0
 for <26752 <at> debbugs.gnu.org>; Thu, 22 Jun 2017 09:02:10 -0700 (PDT)
X-Gm-Message-State: AKS2vOy+VQbOJ56GRXoVSqN+rwM2wFEJFTcB2nQlKJthvgyD03qtsjRV
 Iw/2YBQpl7X5db4O2cJ9V9cR0XWf6Q==
X-Received: by 10.36.206.133 with SMTP id v127mr2802326itg.49.1498147327609;
 Thu, 22 Jun 2017 09:02:07 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.107.172.66 with HTTP; Thu, 22 Jun 2017 09:02:07 -0700 (PDT)
In-Reply-To: <874lx2w926.fsf@HIDDEN>
References: <CAPsKtfJKuf3CchsD0667ajg8bWSyp7YGTv8NU5qLf5kc7qEiHg@HIDDEN>
 <874lx2w926.fsf@HIDDEN>
From: Jelle Licht <jlicht@HIDDEN>
Date: Thu, 22 Jun 2017 18:02:07 +0200
X-Gmail-Original-Message-ID: <CAPsKtfJ8rZ86RZiayXuZbYfeEUroAubvCsgKxZJDdg17Oijrnw@HIDDEN>
Message-ID: <CAPsKtfJ8rZ86RZiayXuZbYfeEUroAubvCsgKxZJDdg17Oijrnw@HIDDEN>
Subject: Re: bug#26752: Ansible & others' problems with wrapped
 '.ansible-real' scripts
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Content-Type: multipart/alternative; boundary="94eb2c0b080048d08705528e9be3"
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26752
Cc: 26752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--94eb2c0b080048d08705528e9be3
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

The current ansible package is still brokenin the same way.

Is there already an acceptable way of working around this problem?
Otherwise I could send my (extremely hacky) workaround that adds a specific
condition in the ansible source code to check for .ansible-real.

Thanks,
Jelle

2017-05-03 12:04 GMT+02:00 Ludovic Court=C3=A8s <ludo@HIDDEN>:

> Jelle Licht <jlicht@HIDDEN> skribis:
>
> > I had some problems getting current ansible package to work. It seems
> that
> > the bin/ansible script which is created as part of the
> python-build-system
> > via a call to `wrap-program' interferes with certain expectations ansib=
le
> > has regarding how it and its subcommands are called.
> >
> > This mechanism does not work well with our generated created
> .ansible-real.
> > See [1] for a similar issue that has since been worked around in the
> newest
> > version of ansible.
> >
> > For now, I have a similar workaround that add some guix-specific checks
> to
> > ansible looking for being called as .ansible-real, though I do consider
> > this a hack. This problem is indicative of a bigger issue: the fact tha=
t
> > wrap-program currently leads to subtle bugs for lots of scripts. There
> has
> > been some noise on #guix about solving this problem in general.
>
> For the record, the discussion is visible here:
> <https://gnunet.org/bot/log/guix/2017-05-02#T1370586>.
>
> I think it=E2=80=99s bad for a program to rely on argv[0], but I also thi=
nk
> those .thing-real are kinda ugly.  :-)
>
> Ludo=E2=80=99.
>

--94eb2c0b080048d08705528e9be3
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><div><div><div><div><div>The current ansible package =
is still brokenin the same way.<br></div><br></div>Is there already an acce=
ptable way of working around this problem? <br></div>Otherwise I could send=
 my (extremely hacky) workaround that adds a specific<br></div>condition in=
 the ansible source code to check for .ansible-real.<br><br></div>Thanks,<b=
r></div>Jelle</div><div class=3D"gmail_extra"><br><div class=3D"gmail_quote=
">2017-05-03 12:04 GMT+02:00 Ludovic Court=C3=A8s <span dir=3D"ltr">&lt;<a =
href=3D"mailto:ludo@HIDDEN" target=3D"_blank">ludo@HIDDEN</a>&gt;</span>:=
<br><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-lef=
t:1px #ccc solid;padding-left:1ex">Jelle Licht &lt;<a href=3D"mailto:jlicht=
@fsfe.org">jlicht@HIDDEN</a>&gt; skribis:<br>
<span class=3D""><br>
&gt; I had some problems getting current ansible package to work. It seems =
that<br>
&gt; the bin/ansible script which is created as part of the python-build-sy=
stem<br>
&gt; via a call to `wrap-program&#39; interferes with certain expectations =
ansible<br>
&gt; has regarding how it and its subcommands are called.<br>
&gt;<br>
&gt; This mechanism does not work well with our generated created .ansible-=
real.<br>
&gt; See [1] for a similar issue that has since been worked around in the n=
ewest<br>
&gt; version of ansible.<br>
&gt;<br>
&gt; For now, I have a similar workaround that add some guix-specific check=
s to<br>
&gt; ansible looking for being called as .ansible-real, though I do conside=
r<br>
&gt; this a hack. This problem is indicative of a bigger issue: the fact th=
at<br>
&gt; wrap-program currently leads to subtle bugs for lots of scripts. There=
 has<br>
&gt; been some noise on #guix about solving this problem in general.<br>
<br>
</span>For the record, the discussion is visible here:<br>
&lt;<a href=3D"https://gnunet.org/bot/log/guix/2017-05-02#T1370586" rel=3D"=
noreferrer" target=3D"_blank">https://gnunet.org/bot/log/<wbr>guix/2017-05-=
02#T1370586</a>&gt;.<br>
<br>
I think it=E2=80=99s bad for a program to rely on argv[0], but I also think=
<br>
those .thing-real are kinda ugly.=C2=A0 :-)<br>
<br>
Ludo=E2=80=99.<br>
</blockquote></div><br></div>

--94eb2c0b080048d08705528e9be3--




Information forwarded to bug-guix@HIDDEN:
bug#26752; Package guix. Full text available.
Severity set to 'important' from 'normal' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 26752 <at> debbugs.gnu.org:


Received: (at 26752) by debbugs.gnu.org; 3 May 2017 10:04:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 03 06:04:32 2017
Received: from localhost ([127.0.0.1]:51919 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d5r94-0007LY-Mq
	for submit <at> debbugs.gnu.org; Wed, 03 May 2017 06:04:30 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57998)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1d5r92-0007LL-VE
 for 26752 <at> debbugs.gnu.org; Wed, 03 May 2017 06:04:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1d5r8u-0000Qn-JA
 for 26752 <at> debbugs.gnu.org; Wed, 03 May 2017 06:04:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44611)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1d5r8u-0000Qj-GQ; Wed, 03 May 2017 06:04:20 -0400
Received: from reverse-83.fdn.fr ([80.67.176.83]:54770 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1d5r8t-0003VF-Ux; Wed, 03 May 2017 06:04:20 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Jelle Licht <jlicht@HIDDEN>
Subject: Re: bug#26752: Ansible & others' problems with wrapped
 '.ansible-real' scripts
References: <CAPsKtfJKuf3CchsD0667ajg8bWSyp7YGTv8NU5qLf5kc7qEiHg@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 14 =?utf-8?Q?Flor=C3=A9al?= an 225 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Wed, 03 May 2017 12:04:17 +0200
In-Reply-To: <CAPsKtfJKuf3CchsD0667ajg8bWSyp7YGTv8NU5qLf5kc7qEiHg@HIDDEN>
 (Jelle Licht's message of "Tue, 2 May 2017 22:08:38 +0200")
Message-ID: <874lx2w926.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26752
Cc: 26752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Jelle Licht <jlicht@HIDDEN> skribis:

> I had some problems getting current ansible package to work. It seems that
> the bin/ansible script which is created as part of the python-build-system
> via a call to `wrap-program' interferes with certain expectations ansible
> has regarding how it and its subcommands are called.
>
> This mechanism does not work well with our generated created .ansible-rea=
l.
> See [1] for a similar issue that has since been worked around in the newe=
st
> version of ansible.
>
> For now, I have a similar workaround that add some guix-specific checks to
> ansible looking for being called as .ansible-real, though I do consider
> this a hack. This problem is indicative of a bigger issue: the fact that
> wrap-program currently leads to subtle bugs for lots of scripts. There has
> been some noise on #guix about solving this problem in general.

For the record, the discussion is visible here:
<https://gnunet.org/bot/log/guix/2017-05-02#T1370586>.

I think it=E2=80=99s bad for a program to rely on argv[0], but I also think
those .thing-real are kinda ugly.  :-)

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#26752; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 May 2017 20:09:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 02 16:09:03 2017
Received: from localhost ([127.0.0.1]:51568 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d5e6Z-0001TN-Bg
	for submit <at> debbugs.gnu.org; Tue, 02 May 2017 16:09:03 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54161)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jlicht@HIDDEN>) id 1d5e6X-0001Sn-4S
 for submit <at> debbugs.gnu.org; Tue, 02 May 2017 16:09:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jlicht@HIDDEN>) id 1d5e6O-0000Kz-Qs
 for submit <at> debbugs.gnu.org; Tue, 02 May 2017 16:08:54 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:54813)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jlicht@HIDDEN>) id 1d5e6O-0000KQ-Ni
 for submit <at> debbugs.gnu.org; Tue, 02 May 2017 16:08:52 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:45115)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jlicht@HIDDEN>) id 1d5e6K-0000Bh-7i
 for bug-guix@HIDDEN; Tue, 02 May 2017 16:08:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jlicht@HIDDEN>) id 1d5e6J-0000He-5q
 for bug-guix@HIDDEN; Tue, 02 May 2017 16:08:48 -0400
Received: from mail.fsfe.org ([2001:aa8:ffed::3:102]:46261)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jlicht@HIDDEN>) id 1d5e6I-0000Gy-VI
 for bug-guix@HIDDEN; Tue, 02 May 2017 16:08:47 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.fsfe.org (Postfix) with ESMTP id CCE7E63BC45
 for <bug-guix@HIDDEN>; Tue,  2 May 2017 22:08:44 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at mail.fsfe.org
Received: from mail.fsfe.org ([127.0.0.1])
 by localhost (cavendish.fsfeurope.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id wYM3WH7kxgX6 for <bug-guix@HIDDEN>;
 Tue,  2 May 2017 22:08:44 +0200 (CEST)
Received: by mail-it0-f50.google.com with SMTP id o5so21413462ith.1
 for <bug-guix@HIDDEN>; Tue, 02 May 2017 13:08:44 -0700 (PDT)
X-Gm-Message-State: AN3rC/4YelQTvF58HyBxOU0DhN9bTCIW1LMZqVPKWYl3Nq1G8zDCIyxz
 RH8o3Bd8NS+mluMu6qN/uHSE0noORw==
X-Received: by 10.36.217.71 with SMTP id p68mr11907022itg.49.1493755718950;
 Tue, 02 May 2017 13:08:38 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.107.9.150 with HTTP; Tue, 2 May 2017 13:08:38 -0700 (PDT)
From: Jelle Licht <jlicht@HIDDEN>
Date: Tue, 2 May 2017 22:08:38 +0200
X-Gmail-Original-Message-ID: <CAPsKtfJKuf3CchsD0667ajg8bWSyp7YGTv8NU5qLf5kc7qEiHg@HIDDEN>
Message-ID: <CAPsKtfJKuf3CchsD0667ajg8bWSyp7YGTv8NU5qLf5kc7qEiHg@HIDDEN>
Subject: Ansible & others' problems with wrapped '.ansible-real' scripts
To: bug-guix@HIDDEN
Content-Type: multipart/alternative; boundary=001a113755d4026c1f054e901b4a
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--001a113755d4026c1f054e901b4a
Content-Type: text/plain; charset=UTF-8

Hi,

I had some problems getting current ansible package to work. It seems that
the bin/ansible script which is created as part of the python-build-system
via a call to `wrap-program' interferes with certain expectations ansible
has regarding how it and its subcommands are called.

This mechanism does not work well with our generated created .ansible-real.
See [1] for a similar issue that has since been worked around in the newest
version of ansible.

For now, I have a similar workaround that add some guix-specific checks to
ansible looking for being called as .ansible-real, though I do consider
this a hack. This problem is indicative of a bigger issue: the fact that
wrap-program currently leads to subtle bugs for lots of scripts. There has
been some noise on #guix about solving this problem in general.

Thanks,
Jelle

[1]: https://github.com/ansible/ansible/issues/22261

--001a113755d4026c1f054e901b4a
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><div><div>Hi,<br><br></div>I had some problems gettin=
g current ansible package to work. It seems that the bin/ansible script whi=
ch is created as part of the python-build-system via a call to `wrap-progra=
m&#39; interferes with certain expectations ansible has regarding how it an=
d its subcommands are called. <br><br>This mechanism does not work well wit=
h our generated created .ansible-real. See [1] for a similar issue that has=
 since been worked around in the newest version of ansible.<br></div><br></=
div><div>For now, I have a similar workaround that add some guix-specific c=
hecks to ansible looking for being called as .ansible-real, though I do con=
sider this a hack. This problem is indicative of a bigger issue: the fact t=
hat wrap-program currently leads to subtle bugs for lots of scripts. There =
has been some noise on #guix about solving this problem in general.<br><br>=
</div><div>Thanks,<br></div><div>Jelle<br><br>[1]: <a href=3D"https://githu=
b.com/ansible/ansible/issues/22261">https://github.com/ansible/ansible/issu=
es/22261</a><br></div></div>

--001a113755d4026c1f054e901b4a--




Acknowledgement sent to Jelle Licht <jlicht@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#26752; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 4 Feb 2019 10:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.